import java.io.*;

class ServerClassLoader extends ClassLoader {
   private String name;
   private byte[] array;
   private int size;

   public ServerClassLoader(ClassLoader parent, File classesDir) {
      super(parent);
   }

   public ServerClassLoader(String name, byte[] array) {
      this.name = name;
      this.array = array;
      this.size = array.length;
   }

   public Class findClass(String name) {
      return defineClass(name, array, 0, array.length);
   }

   public void run() {
      try {
         Class c = defineClass(name, array, 0, array.length);
      }
      catch(Exception e) {
         e.printStackTrace(System.err);
      }
   }
}

